package com.leanwo.activiti.dto.base;

import java.util.List;

/**
 * 发起人自选节点，选择的用户.
 *
 * @author YangZhiJie
 * @date 2021/01/26
 */
public class UserSelectDto {

    /**  节点 id. */
    private String nodeId;

    /**  节点名称 . */
    private String nodeName;

    /**  变量名称. */
    private String variableName;
    
    /**  选择的用户Id集合 . */
    private List<Long> userIds;

    /**
     * Gets the 节点 id.
     *
     * @return the 节点 id
     */
    public String getNodeId() {
        return nodeId;
    }

    /**
     * Sets the 节点 id.
     *
     * @param nodeId the new 节点 id
     */
    public void setNodeId(String nodeId) {
        this.nodeId = nodeId;
    }

    /**
     * Gets the 节点名称 .
     *
     * @return the 节点名称 
     */
    public String getNodeName() {
        return nodeName;
    }

    /**
     * Sets the 节点名称 .
     *
     * @param nodeName the new 节点名称 
     */
    public void setNodeName(String nodeName) {
        this.nodeName = nodeName;
    }

    /**
     * Gets the 变量名称.
     *
     * @return the 变量名称
     */
    public String getVariableName() {
        return variableName;
    }

    /**
     * Sets the 变量名称.
     *
     * @param variableName the new 变量名称
     */
    public void setVariableName(String variableName) {
        this.variableName = variableName;
    }
    
    /**
     * Gets the 选择的用户Id集合 .
     *
     * @return the 选择的用户Id集合 
     */
    public List<Long> getUserIds() {
        return userIds;
    }

    /**
     * Sets the 选择的用户Id集合 .
     *
     * @param userId the new 选择的用户Id集合 
     */
    public void setUserIds(List<Long> userIds) {
        this.userIds = userIds;
    }
}
